###################################################
### Adatbeolvass. A regr.kurz tblzatnak csak az
### els 5 oszlopt hasznjuk (a knyvbl ez a kd-
### rszlet hinyzik).
###################################################
regr.kurz = read.table("regr.kurz.csv",sep=";",header=T)
regr.kurz = regr.kurz[,1:5]

####################################################
### 245. oldal, 8.1. plda 
###################################################
regr.kurz[1:5,]
with(regr.kurz,cor(TOMEG,SZULTOMEG))

##################################################
### 246. oldal, 8.2. bra
###################################################
with(regr.kurz, plot(TOMEG~SZULTOMEG,pch=20, 
ylim=c(40,100), xlab="Szletskori testtmeg (g)",
ylab="Felnttkori testtmeg (kg)"))

###################################################
### 247. oldal, 8.2. plda
###################################################
with(regr.kurz,cor.test(SZULTOMEG,TOMEG))

###################################################
### 248. oldal, 8.3. plda
###################################################
elsoeves = read.table("elsoeves.txt",header=T)
with(elsoeves,cor(matek,biol,method="spearman"))
with(elsoeves,cor(matek,biol,method="kendall"))

###################################################
### 249. oldal, 8.4. plda
### Az egyforma rtkek miatt csak kzelt p-rtket
### szmol az R (nem baj).
###################################################
with(regr.kurz,cor.test(SZULTOMEG,TOMEG,method="spearman"))
with(regr.kurz,cor.test(SZULTOMEG,TOMEG,method="kendall"))


